### Method

# Clutter Event get_pad_details

#### Declaration [src]

    gboolean
    clutter_event_get_pad_details (
      const ClutterEvent* event,
      guint* number,
      guint* mode,
      ClutterInputDevicePadSource* source,
      gdouble* value
    )

#### Description [src]

Returns the details of a pad event.

#### Parameters

`number`

  Type: `guint*`

  Ring/strip/button number.

  The argument will be set by the function.
  The argument can be `NULL`.

`mode`

  Type: `guint*`

  Pad mode as per the event.

  The argument will be set by the function.
  The argument can be `NULL`.

`source`

  Type: `ClutterInputDevicePadSource`

  Source of the event.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value`

  Type: `gdouble*`

  Event axis value.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if event details could be obtained.